---
title: Get daily report
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Botnet Feed](https://developers.cloudflare.com/api/python/resources/botnet_feed)

[ASN](https://developers.cloudflare.com/api/python/resources/botnet_feed/subresources/asn)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get daily report

botnet\_feed.asn.day\_report(intasn\_id, ASNDayReportParams\*\*kwargs) -> [ASNDayReportResponse](<https://developers.cloudflare.com/api/python/resources/botnet_feed#(resource)%20botnet_feed.asn%20%3E%20(model)%20asn_day_report_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/botnet\_feed/asn/{asn\_id}/day\_report

Gets all the data the botnet tracking database has for a given ASN registered to user account for given date. If no date is given, it will return results for the previous day.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`DDoS Botnet Feed Write``DDoS Botnet Feed Read`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20botnet_feed.asn%20%3E%20(method)%20day_report%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

asn\_id: int

[Link to this property](<#(resource)%20botnet_feed.asn%20%3E%20(method)%20day_report%20%3E%20(params)%20default%20%3E%20(param)%20asn_id%20%3E%20(schema)>)

date: Optional\[Union\[str, datetime]]

formatdate-time

[Link to this property](<#(resource)%20botnet_feed.asn%20%3E%20(method)%20day_report%20%3E%20(params)%20default%20%3E%20(param)%20date%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class ASNDayReportResponse: …

</summary>

cidr: Optional\[str]

<a href="#(resource)%20botnet_feed.asn%20%3E%20(model)%20asn_day_report_response%20%3E%20(schema)%20%3E%20(property)%20cidr">Link to this property</a>

date: Optional\[datetime]

formatdate-time

<a href="#(resource)%20botnet_feed.asn%20%3E%20(model)%20asn_day_report_response%20%3E%20(schema)%20%3E%20(property)%20date">Link to this property</a>

offense\_count: Optional\[int]

<a href="#(resource)%20botnet_feed.asn%20%3E%20(model)%20asn_day_report_response%20%3E%20(schema)%20%3E%20(property)%20offense_count">Link to this property</a>

</details>

[Link to this property](<#(resource)%20botnet_feed.asn%20%3E%20(model)%20asn_day_report_response%20%3E%20(schema)>)

### Get daily report

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.botnet_feed.asn.day_report(
    asn_id=0,
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.cidr)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "cidr": "1.1.1.1/32",
    "date": "2014-01-01T05:20:00.12345Z",
    "offense_count": 1000
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "cidr": "1.1.1.1/32",
    "date": "2014-01-01T05:20:00.12345Z",
    "offense_count": 1000
  }
}
```